[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObject.Create

Create a named instance, and insert in a hash list.

## Declaration

Source position: contnrs.pp line 279

`public constructor TFPHashObject.Create(`
`HashObjectList: TFPHashObjectList;`
`const s: shortstring`
`);`

## Arguments

`HashObjectList` |  | Hash list to which the object should be added.
`s` |  | Name for the object

## Description

Create creates an instance of TFPHashObject, gives it the name S and inserts it in the hash list HashObjectList.

## See also

CreateNotOwned |  | Create an instance not owned by any list.
TFPHashObject.ChangeOwner |  | Change the list owning the object.
TFPHashObject.Name |  | Current name of the object

Documentation generated on: Feb 26 2014